local Potentiae = LibStub("AceAddon-3.0"):NewAddon("Potentiae", "AceConsole-3.0", "AceEvent-3.0")

-- Libraries
local L = LibStub("AceLocale-3.0"):GetLocale("Potentiae", true)
local AC = LibStub("AceConfig-3.0")
local ACD = LibStub("AceConfigDialog-3.0")

-- General vars
local settings

--Options table
Potentiae.options = { type='group', args = {} }

function Potentiae:OnInitialize()
    self.db = LibStub("AceDB-3.0"):New("PotentiaeDB")
	settings = self.db.profile
	AC:RegisterOptionsTable("Potentiae", self.options)
	self:RegisterChatCommand("potentiae", function() self:OpenConfig() end)
	local LDB = LibStub:GetLibrary("LibDataBroker-1.1", true)
	if LDB then
		LDB:NewDataObject("Potentiae", {
			type = "launcher",
			icon = "Interface\\Icons\\Spell_Holy_SearingLightPriest",
			OnClick = function(clickedframe, button)
				self:OpenConfig()
			end,
		})
	end
end

function Potentiae:OpenConfig()
	InterfaceOptionsFrame:Hide()
	ACD:SetDefaultSize("Potentiae", 850, 725)
	ACD:Open("Potentiae")
	ACD:SelectGroup("Potentiae", "General", "Actionbar")
	--Dirty hack to make numbers properly appear in 'range' sliders
	ACD:Open("Potentiae")
end